export type Dish = {
  item: string;
  additional_info: string;
  finished: boolean;
  takeout: boolean;
  times: number;
};

export type Order = {
  id: number;
  created_on: string;
  updated_on: string;
  realization_time: string;
  client: string;
  waiter: number;
  waiter_name: string;
  data: Dish[];
  status: number;
  status_name: string;
};

export function getOrderBg(order: Order): string {
  const nonTakeouts = order.data.filter((dish) => !dish.takeout);

  if (order.status == 4) return 'bg-red-200 border-red-400';

  return nonTakeouts.length > 0
    ? 'bg-green-200 border-green-400'
    : 'bg-blue-200 border-blue-400';
}

export function getDishBg(dish: Dish): string {
  if (dish.finished) return 'bg-red-200 border-red-400';

  return dish.takeout
    ? 'bg-blue-300 border-blue-500'
    : 'bg-green-300 border-green-500';
}
