'use client';

import Link from 'next/link';
import { fetcher } from '@/app/api/tools';
import useSWR from 'swr';

export default function Home() {
  const { data, error, isLoading } = useSWR('/api/waiters', fetcher);

  if (error) return <div>Błąd przy ładowaniu danych</div>;
  if (isLoading) return <div>Ładowanie</div>;

  return (
    <>
      <p className="text-xl">Kelnerzy:</p>
      <ul className="text-lg flex flex-col items-center gap-2">
        {data?.map((data: { id: number; name: string }) => (
          <li key={data.id}>
            <Link href={`/waiter/${data.id}`}>
              <button>{data.name}</button>
            </Link>
          </li>
        ))}
      </ul>
    </>
  );
}
